;InnoSetupVersion=4.0.5

[Setup]
AppName=Snare
AppVerName=Snare version 2.4.4
AppId=Snare
AppVersion=2.4.4
AppPublisher=InterSect Alliance Pty Ltd
AppPublisherURL=http://www.intersectalliance.com/
DefaultDirName={pf}\Snare
DefaultGroupName=InterSect Alliance
UninstallDisplayIcon={app}\Snare.exe
OutputBaseFilename=setup
Compression=zip
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Snare.exe"; DestDir: "{app}"; 
Source: "{app}\SnareCore.exe"; DestDir: "{app}"; 
Source: "{app}\Readme.txt"; DestDir: "{app}"; 

[Registry]
Root: HKLM; Subkey: "Software\InterSect Alliance"; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Config"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Config"; ValueName: "Audit"; ValueType: Dword; ValueData: "$0"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Config"; ValueName: "Clientname"; ValueType: String; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Config"; ValueName: "Delimiter"; ValueType: String; ValueData: "	"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Config"; ValueName: "FileAudit"; ValueType: Dword; ValueData: "$0"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Config"; ValueName: "Activate"; ValueType: Dword; ValueData: "$0"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Config"; ValueName: "Checksum"; ValueType: Dword; ValueData: "$0"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Network"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Network"; ValueName: "Destination"; ValueType: String; ValueData: "127.0.0.1"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Network"; ValueName: "DestPort"; ValueType: Dword; ValueData: "$1811"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Network"; ValueName: "Syslog"; ValueType: Dword; ValueData: "$1"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Network"; ValueName: "SyslogDest"; ValueType: Dword; ValueData: "$D"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Objective"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Objective"; ValueName: "Objective0"; ValueType: String; ValueData: "1	31	32	528,529,530,531,532,533,534,535,536,537,538,539,540,541,542,543,544,545,546,547,672,673,674,675,676,677,678,680,681,682,683	***	0	*"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Objective"; ValueName: "Objective1"; ValueType: String; ValueData: "0	31	32	592,593,594,595	***	0	*"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Objective"; ValueName: "Objective2"; ValueType: String; ValueData: "2	31	32	624,625,626,627,628,629,630,631,632,633,634,635,636,637,638,639,640,641,642,643,644,645,646,647,648,649,650,651,652,653,654,655,656,657,658,659,660,661,662,663,664,665,666,667,668,669,670	***	0	*"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Objective"; ValueName: "Objective3"; ValueType: String; ValueData: "1	24	32	512,513	***	0	*"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Objective"; ValueName: "Objective4"; ValueType: String; ValueData: "3	31	32	516,517,608,609,610,611,612,613,614,615,616,617,618,620,643	***	0	*"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Objective"; ValueName: "Objective5"; ValueType: String; ValueData: "1	31	24	*	***	0	*"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Remote"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Remote"; ValueName: "Allow"; ValueType: Dword; ValueData: "$0"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Remote"; ValueName: "WebPort"; ValueType: Dword; ValueData: "$1811"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Remote"; ValueName: "WebPortChange"; ValueType: Dword; ValueData: "$1"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Remote"; ValueName: "Restrict"; ValueType: Dword; ValueData: "$1"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Remote"; ValueName: "RestrictIP"; ValueType: String; ValueData: "127.0.0.1"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Remote"; ValueName: "AccessKey"; ValueType: Dword; ValueData: "$0"; 
Root: HKLM; Subkey: "Software\InterSect Alliance\AuditService\Remote"; ValueName: "AccessKeySet"; ValueType: String; 

[Run]
Filename: "{app}\Readme.txt"; Flags: shellexec skipifdoesntexist postinstall skipifsilent 
Filename: "{app}\SnareCore.EXE"; Parameters: "-i"; 
Filename: "net"; Parameters: "start snare"; 
Filename: "{app}\Snare.EXE"; 
Filename: "net"; Parameters: "stop snare"; 
Filename: "net"; Parameters: "start snare"; 

[UninstallRun]
Filename: "net"; Parameters: "stop snare"; 
Filename: "{app}\SnareCore.EXE"; Parameters: "-u"; 

[Icons]
Name: "{group}\Snare for Windows"; Filename: "{app}\Snare.exe"; IconFilename: "{app}\Snare.exe"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
